diff --git a/libpurple/buddylist.h b/libpurple/buddylist.h
--- a/libpurple/buddylist.h
+++ b/libpurple/buddylist.h
@@ -57,7 +57,7 @@
  * locale. So, this function is mostly for libpurple2 compatibility. And for
  * improperly written prpls.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 const gchar *
@@ -70,7 +70,7 @@
  *
  * A callback function for purple_blist_walk.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_TYPE_IN_3_0
 typedef void (*PurpleBlistWalkFunc)(PurpleBlistNode *node, gpointer data);
@@ -83,7 +83,7 @@
  *
  * The Buddy List
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 /**
  * PurpleBuddyListClass:
@@ -176,7 +176,7 @@
  *
  * Returns: The #GType for the #PurpleBuddyList object.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 G_DECLARE_DERIVABLE_TYPE(PurpleBuddyList, purple_buddy_list, PURPLE, BUDDY_LIST,
@@ -189,7 +189,7 @@
  *
  * Returns: (transfer none): The default buddy list.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleBuddyList *purple_blist_get_default(void);
@@ -201,7 +201,7 @@
  *
  * Returns: (transfer none): The root node.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleBlistNode *purple_blist_get_default_root(void);
@@ -214,7 +214,7 @@
  *
  * Returns: (transfer none): The root node.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 PurpleBlistNode *purple_blist_get_root(PurpleBuddyList *list);
@@ -231,7 +231,7 @@
  * Returns: (element-type PurpleBlistNode) (transfer container): A list of every
  *          buddy in the list.
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_IN_2_6
 GSList *purple_blist_get_buddies(void);
@@ -241,7 +241,7 @@
  *
  * Shows the buddy list, creating a new one if necessary.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_blist_show(void);
@@ -252,7 +252,7 @@
  *
  * Hides or unhides the buddy list.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_blist_set_visible(gboolean show);
@@ -266,7 +266,7 @@
  * updates the cache, the caller is responsible for the actual renaming of
  * the buddy after updating the cache.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_blist_update_buddies_cache(PurpleBuddy *buddy, const char *new_name);
@@ -280,7 +280,7 @@
  * updates the cache, the caller is responsible for the actual renaming of
  * the group after updating the cache.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_blist_update_groups_cache(PurpleGroup *group, const char *new_name);
@@ -297,7 +297,7 @@
  * of group if node is NULL.  If both are NULL, the buddy will be added to
  * the "Chats" group.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_blist_add_chat(PurpleChat *chat, PurpleGroup *group, PurpleBlistNode *node);
@@ -316,7 +316,7 @@
  * group if node is NULL.  If both are NULL, the buddy will be added to
  * the default group.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_blist_add_buddy(PurpleBuddy *buddy, PurpleMetaContact *contact, PurpleGroup *group, PurpleBlistNode *node);
@@ -331,7 +331,7 @@
  * The new group will be inserted after insert or prepended to the list if
  * node is NULL.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_blist_add_group(PurpleGroup *group, PurpleBlistNode *node);
@@ -347,7 +347,7 @@
  * The new contact will be inserted after insert or prepended to the list if
  * node is NULL.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_blist_add_contact(PurpleMetaContact *contact, PurpleGroup *group, PurpleBlistNode *node);
@@ -361,7 +361,7 @@
  *
  * See purple_account_remove_buddy().
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_blist_remove_buddy(PurpleBuddy *buddy);
@@ -376,7 +376,7 @@
  *
  * See purple_blist_remove_buddy().
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_blist_remove_contact(PurpleMetaContact *contact);
@@ -387,7 +387,7 @@
  *
  * Removes a chat from the buddy list and frees the memory allocated to it.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_blist_remove_chat(PurpleChat *chat);
@@ -399,7 +399,7 @@
  * Removes a group from the buddy list and frees the memory allocated to it and to
  * its children
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_blist_remove_group(PurpleGroup *group);
@@ -413,7 +413,7 @@
  *
  * Returns: (transfer none): The buddy or %NULL if the buddy does not exist.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleBuddy *purple_blist_find_buddy(PurpleAccount *account, const char *name);
@@ -429,7 +429,7 @@
  * Returns: (transfer none): The buddy or %NULL if the buddy does not exist in
  *          the group.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleBuddy *purple_blist_find_buddy_in_group(PurpleAccount *account, const char *name,
@@ -445,7 +445,7 @@
  * Returns: (element-type PurpleBuddy) (transfer container): %NULL if the buddy
  *          doesn't exist, or a GSList of PurpleBuddy structs.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 GSList *purple_blist_find_buddies(PurpleAccount *account, const char *name);
@@ -458,7 +458,7 @@
  *
  * Returns: (transfer none): The group or %NULL if the group does not exist.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleGroup *purple_blist_find_group(const char *name);
@@ -470,7 +470,7 @@
  *
  * Returns: (transfer none): The default group.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleGroup *purple_blist_get_default_group(void);
@@ -484,7 +484,7 @@
  *
  * Returns: (transfer none): The chat, or %NULL if the chat does not exist.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 PurpleChat *purple_blist_find_chat(PurpleAccount *account, const char *name);
@@ -496,7 +496,7 @@
  * Called when an account connects.  Tells the UI to update all the
  * buddies.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_blist_add_account(PurpleAccount *account);
@@ -508,7 +508,7 @@
  * Called when an account disconnects.  Sets the presence of all the buddies to 0
  * and tells the UI to update them.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_blist_remove_account(PurpleAccount *account);
@@ -524,7 +524,7 @@
  * Walks the buddy list and calls the appropriate function for each node.  If
  * a callback function is omitted iteration will continue without it.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_blist_walk(PurpleBlistWalkFunc group_func, PurpleBlistWalkFunc chat_func, PurpleBlistWalkFunc meta_contact_func, PurpleBlistWalkFunc contact_func, gpointer data);
@@ -536,7 +536,7 @@
  *
  * Returns: The name of the default group.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 const gchar *purple_blist_get_default_group_name(void);
@@ -554,7 +554,7 @@
  * buddy list API, then the buddy list is saved automatically, so you should not
  * need to call this.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_blist_schedule_save(void);
@@ -569,7 +569,7 @@
  * Requests from the user information needed to add a buddy to the
  * buddy list.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_blist_request_add_buddy(PurpleAccount *account, const char *username,
@@ -585,7 +585,7 @@
  * Requests from the user information needed to add a chat to the
  * buddy list.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_blist_request_add_chat(PurpleAccount *account, PurpleGroup *group,
@@ -597,7 +597,7 @@
  * Requests from the user information needed to add a group to the
  * buddy list.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_blist_request_add_group(void);
@@ -612,7 +612,7 @@
  * This should usually only be run when initializing a @PurpleBlistNode
  * instance.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_blist_new_node(PurpleBuddyList *list, PurpleBlistNode *node);
@@ -624,7 +624,7 @@
  *
  * Update a node in the buddy list in the UI.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_blist_update_node(PurpleBuddyList *list, PurpleBlistNode *node);
@@ -639,7 +639,7 @@
  * If the UI does not implement a more specific method, it will be set to save
  * data to <filename>blist.xml</filename> like in previous libpurple versions.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_blist_save_node(PurpleBuddyList *list, PurpleBlistNode *node);
@@ -655,7 +655,7 @@
  * If the UI does not set a more specific method, it will be set to save data
  * to <filename>blist.xml</filename> like in previous libpurple versions.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_blist_save_account(PurpleBuddyList *list, PurpleAccount *account);
@@ -673,7 +673,7 @@
  * This must be called before the buddy list is created or you will get the
  * default libpurple implementation.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_blist_set_ui(GType type);
@@ -685,7 +685,7 @@
  *
  * Returns: The buddy list subsystem handle.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void *purple_blist_get_handle(void);
@@ -695,7 +695,7 @@
  *
  * Initializes the buddy list subsystem.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_blist_init(void);
@@ -707,7 +707,7 @@
  *
  * You shouldn't call this. purple_core_init() will do it for you.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_blist_boot(void);
@@ -717,7 +717,7 @@
  *
  * Uninitializes the buddy list subsystem.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_blist_uninit(void);
diff --git a/libpurple/chat.h b/libpurple/chat.h
--- a/libpurple/chat.h
+++ b/libpurple/chat.h
@@ -47,7 +47,7 @@
  *
  * A chat on the buddy list.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 struct _PurpleChat {
 	PurpleBlistNode node;
@@ -70,7 +70,7 @@
  *
  * Returns: The #GType for the #PurpleChat object.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 GType purple_chat_get_type(void);
@@ -87,7 +87,7 @@
  *
  * Returns:           A newly allocated chat
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 PurpleChat *purple_chat_new(PurpleAccount *account, const char *alias, GHashTable *components);
@@ -100,7 +100,7 @@
  *
  * Returns:       The alias (if set), or first component value.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 const char *purple_chat_get_name(PurpleChat *chat);
@@ -113,7 +113,7 @@
  *
  * Returns:       The first component value.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 const char *purple_chat_get_name_only(PurpleChat *chat);
@@ -125,7 +125,7 @@
  *
  * Sets the alias for a blist chat.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_chat_set_alias(PurpleChat *chat, const char *alias);
@@ -139,7 +139,7 @@
  * Returns: (transfer none): The parent group, or %NULL if the chat is not in a
  *          group.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 PurpleGroup *purple_chat_get_group(PurpleChat *chat);
@@ -152,7 +152,7 @@
  *
  * Returns: (transfer none): The account the chat belongs to.
  *
- * Since: 2.4.0
+ * Since: 2.4
  */
 PURPLE_AVAILABLE_IN_2_4
 PurpleAccount *purple_chat_get_account(PurpleChat *chat);
@@ -165,7 +165,7 @@
  *
  * Returns: (transfer none):  The hashtable.
  *
- * Since: 2.4.0
+ * Since: 2.4
  */
 PURPLE_AVAILABLE_IN_2_4
 GHashTable *purple_chat_get_components(PurpleChat *chat);
diff --git a/libpurple/circularbuffer.h b/libpurple/circularbuffer.h
--- a/libpurple/circularbuffer.h
+++ b/libpurple/circularbuffer.h
@@ -66,7 +66,7 @@
  *
  * Returns: The new PurpleCircularBuffer.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleCircularBuffer *purple_circular_buffer_new(gsize growsize);
@@ -80,7 +80,7 @@
  * Append data to the PurpleCircularBuffer.  This will grow the internal
  * buffer to fit the added data, if needed.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_circular_buffer_append(PurpleCircularBuffer *buffer, gconstpointer src, gsize len);
@@ -98,7 +98,7 @@
  *
  * Returns: the number of bytes that can be read from the PurpleCircularBuffer
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gsize purple_circular_buffer_get_max_read(PurpleCircularBuffer *buffer);
@@ -113,7 +113,7 @@
  * Returns: TRUE if we successfully marked the bytes as having been read, FALSE
  *         otherwise.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gboolean purple_circular_buffer_mark_read(PurpleCircularBuffer *buffer, gsize len);
@@ -126,7 +126,7 @@
  * Increases the buffer size by a multiple of grow size, so that it can hold at
  * least 'len' bytes.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_circular_buffer_grow(PurpleCircularBuffer *buffer, gsize len);
@@ -140,7 +140,7 @@
  *
  * Returns: The grow size of the buffer.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gsize purple_circular_buffer_get_grow_size(PurpleCircularBuffer *buffer);
@@ -153,7 +153,7 @@
  *
  * Returns: The number of bytes that contain unread data.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gsize purple_circular_buffer_get_used(PurpleCircularBuffer *buffer);
@@ -169,7 +169,7 @@
  *
  * Returns: The output pointer for the buffer.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 const gchar *purple_circular_buffer_get_output(PurpleCircularBuffer *buffer);
@@ -180,7 +180,7 @@
  *
  * Resets the buffer input and output pointers to the start of the buffer.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_circular_buffer_reset(PurpleCircularBuffer *buffer);
diff --git a/libpurple/cmds.h b/libpurple/cmds.h
--- a/libpurple/cmds.h
+++ b/libpurple/cmds.h
@@ -47,7 +47,7 @@
  *
  * The possible results of running a command with purple_cmd_do_command().
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 typedef enum {
 	PURPLE_CMD_STATUS_OK,
@@ -73,7 +73,7 @@
  * #PURPLE_CMD_RET_CONTINUE to cause the core to fall through to other
  * commands with the same name.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 typedef enum {
 	PURPLE_CMD_RET_OK,
@@ -91,7 +91,7 @@
  *
  * A function implementing a command, as passed to purple_cmd_register().
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 typedef PurpleCmdRet (*PurpleCmdFunc)(PurpleConversation *conversation, const gchar *cmd,
                                   gchar **args, gchar **error, void *data);
@@ -119,7 +119,7 @@
  * collisions.  PurpleCmdPriority is used to determine which command will be
  * run.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 typedef enum {
 	PURPLE_CMD_P_VERY_LOW  = -1000,
@@ -147,7 +147,7 @@
  *
  * See purple_cmd_register().
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 typedef enum {
 	PURPLE_CMD_FLAG_IM               = 0x01,
@@ -218,7 +218,7 @@
  * Returns: A #PurpleCmdId, which is only used for calling
  *         #purple_cmd_unregister, or 0 on failure.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 PurpleCmdId purple_cmd_register(const gchar *cmd, const gchar *args, PurpleCmdPriority p, PurpleCmdFlag f, const gchar *protocol_id, PurpleCmdFunc func, const gchar *helpstr, void *data);
@@ -233,7 +233,7 @@
  * or something else that might go away. Normally this is called when the plugin
  * unloads itself.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_cmd_unregister(PurpleCmdId id);
@@ -258,7 +258,7 @@
  *
  * Returns: A #PurpleCmdStatus indicating if the command succeeded or failed.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 PurpleCmdStatus purple_cmd_do_command(PurpleConversation *conv, const gchar *cmdline, const gchar *markup, gchar **errormsg);
@@ -279,7 +279,7 @@
  *
  * Returns: %TRUE if the command handled the @cmdline, %FALSE otherwise.
  *
- * Since: 2.11.0
+ * Since: 2.11
  */
 PURPLE_AVAILABLE_IN_2_11
 gboolean purple_cmd_execute(PurpleCmdId id, PurpleConversation *conv,
@@ -297,7 +297,7 @@
  * might unregister a command, as the <type>const char *</type>'s used get freed
  * then.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 GList *purple_cmd_list(PurpleConversation *conv);
@@ -313,7 +313,7 @@
  * Returns: (element-type utf8) (transfer container): the help strings for a
  *          given command, one node for each matching command.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 GList *purple_cmd_help(PurpleConversation *conv, const gchar *cmd);
@@ -325,7 +325,7 @@
  *
  * Returns: The handle
  *
- * Since: 2.5.0
+ * Since: 2.5
  */
 PURPLE_AVAILABLE_IN_2_5
 gpointer purple_cmds_get_handle(void);
@@ -335,7 +335,7 @@
  *
  * Initialize the commands subsystem.
  *
- * Since: 2.5.0
+ * Since: 2.5
  */
 PURPLE_AVAILABLE_IN_2_5
 void purple_cmds_init(void);
@@ -345,7 +345,7 @@
  *
  * Uninitialize the commands subsystem.
  *
- * Since: 2.5.0
+ * Since: 2.5
  */
 PURPLE_AVAILABLE_IN_2_5
 void purple_cmds_uninit(void);
diff --git a/libpurple/connection.h b/libpurple/connection.h
--- a/libpurple/connection.h
+++ b/libpurple/connection.h
@@ -68,7 +68,7 @@
  *
  * Flags to change behavior of the client for a given connection.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 typedef enum /*< flags >*/
 {
@@ -91,7 +91,7 @@
  *
  * A representation of the state of a [class@Purple.Connection].
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 typedef enum {
 	PURPLE_CONNECTION_STATE_DISCONNECTED PURPLE_AVAILABLE_ENUMERATOR_IN_3_0 = 0,
@@ -106,7 +106,7 @@
  * Error domain for Purple connection errors. Errors in this domain will be
  * from the #PurpleConnectionError enum.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 #define PURPLE_CONNECTION_ERROR \
 	g_quark_from_static_string("purple-connection-error") \
@@ -158,7 +158,7 @@
  *
  * See <link linkend="chapter-ui-ops">List of <literal>UiOps</literal> Structures</link>
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 struct _PurpleConnectionUiOps
 {
@@ -205,7 +205,7 @@
  * Returns: %TRUE if the initial connection for @account was successful,
  *          otherwise %FALSE with @error possibly set.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gboolean purple_connection_connect(PurpleConnection *connection, GError **error);
@@ -225,7 +225,7 @@
  * Returns: %TRUE if the account was disconnected gracefully, otherwise %FALSE
  *          with @error possibly set.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gboolean purple_connection_disconnect(PurpleConnection *connection, GError **error);
@@ -241,7 +241,7 @@
  * the core can call protocol's set_status, and it successfully changes
  * your status, then the account is online.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_connection_set_state(PurpleConnection *gc, PurpleConnectionState state);
@@ -253,7 +253,7 @@
  *
  * Sets the connection flags.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_connection_set_flags(PurpleConnection *gc, PurpleConnectionFlags flags);
@@ -265,7 +265,7 @@
  *
  * Sets the connection's displayed name.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_connection_set_display_name(PurpleConnection *gc, const char *name);
@@ -277,7 +277,7 @@
  *
  * Sets the protocol data for a connection.
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_IN_2_6
 void purple_connection_set_protocol_data(PurpleConnection *connection, void *proto_data);
@@ -290,7 +290,7 @@
  *
  * Returns: The connection state.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 PurpleConnectionState purple_connection_get_state(PurpleConnection *gc);
@@ -303,7 +303,7 @@
  *
  * Returns: The connection flags.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleConnectionFlags purple_connection_get_flags(PurpleConnection *gc);
@@ -315,7 +315,7 @@
  *
  * Returns: TRUE if the account is connected, otherwise returns FALSE.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 #define PURPLE_CONNECTION_IS_CONNECTED(gc) \
 	(purple_connection_get_state(gc) == PURPLE_CONNECTION_STATE_CONNECTED)
@@ -328,7 +328,7 @@
  *
  * Returns: The identifier of the connection.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 const gchar *purple_connection_get_id(PurpleConnection *connection);
@@ -341,7 +341,7 @@
  *
  * Returns: (transfer none): The connection's account.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 PurpleAccount *purple_connection_get_account(PurpleConnection *gc);
@@ -354,7 +354,7 @@
  *
  * Returns: (transfer none): The protocol.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleProtocol *purple_connection_get_protocol(PurpleConnection *gc);
@@ -367,7 +367,7 @@
  *
  * Returns: The connection's password.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 const char *purple_connection_get_password(PurpleConnection *gc);
@@ -385,7 +385,7 @@
  * This is generally used by protocol plugins that support multiple
  * authentication methods and need to prompt the user for a password.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_connection_set_password(PurpleConnection *connection, const char *password);
@@ -398,7 +398,7 @@
  *
  * Returns: (transfer none): The cancellable.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 GCancellable *purple_connection_get_cancellable(PurpleConnection *connection);
@@ -412,7 +412,7 @@
  * Returns: (element-type PurpleChatConversation) (transfer none): The active
  *          chats on the connection.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 GSList *purple_connection_get_active_chats(PurpleConnection *gc);
@@ -425,7 +425,7 @@
  *
  * Returns: The connection's displayed name.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 const char *purple_connection_get_display_name(PurpleConnection *gc);
@@ -438,7 +438,7 @@
  *
  * Returns: The protocol data for the connection.
  *
- * Since: 2.6.0
+ * Since: 2.6
  */
 PURPLE_AVAILABLE_IN_2_6
 void *purple_connection_get_protocol_data(PurpleConnection *gc);
@@ -452,7 +452,7 @@
  * Closes a connection with an error and a human-readable description of the
  * error.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_connection_error(PurpleConnection *gc, PurpleConnectionError reason, const char *description);
@@ -467,7 +467,7 @@
  * Returns: The #PurpleConnectionErrorInfo instance of the connection if an
  *          error exists, %NULL otherwise.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleConnectionErrorInfo *purple_connection_get_error_info(PurpleConnection *gc);
@@ -486,7 +486,7 @@
  * down a connection. If G_IO_ERROR_CANCELLED needs to be caught,
  * do so with [method@GLib.Error.matches] prior to calling this function.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_connection_g_error(PurpleConnection *pc, const GError *error);
@@ -502,7 +502,7 @@
  * This function is equivalent to [method@Purple.Connection.g_error], expect
  * that it takes ownership of the GError.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_connection_take_error(PurpleConnection *pc, GError *error);
@@ -529,7 +529,7 @@
  * Returns: %TRUE if the account should not be automatically reconnected, and
  *         %FALSE otherwise.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 gboolean purple_connection_error_is_fatal(PurpleConnectionError reason);
@@ -541,7 +541,7 @@
  * Indicate that a packet was received on the connection.
  * Set by the protocol to avoid sending unneeded keepalives.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_connection_update_last_received(PurpleConnection *gc);
@@ -555,7 +555,7 @@
  *
  * Disconnects from all connections.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_connections_disconnect_all(void);
@@ -569,7 +569,7 @@
  * Returns: (element-type PurpleConnection) (transfer none): A list of all
  *          active connections.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 GList *purple_connections_get_all(void);
@@ -581,7 +581,7 @@
  *
  * Returns: %TRUE if at least one account is online.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gboolean purple_connections_is_online(void);
@@ -595,7 +595,7 @@
  *
  * Returns: The #GType for the #PurpleConnectionUiOps boxed structure.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 GType purple_connection_ui_ops_get_type(void);
@@ -606,7 +606,7 @@
  *
  * Sets the UI operations structure to be used for connections.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_connections_set_ui_ops(PurpleConnectionUiOps *ops);
@@ -618,7 +618,7 @@
  *
  * Returns: The UI operations structure in use.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 PurpleConnectionUiOps *purple_connections_get_ui_ops(void);
@@ -632,7 +632,7 @@
  *
  * Initializes the connections subsystem.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_connections_init(void);
@@ -642,7 +642,7 @@
  *
  * Uninitializes the connections subsystem.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_connections_uninit(void);
@@ -654,7 +654,7 @@
  *
  * Returns: The connections subsystem handle.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void *purple_connections_get_handle(void);
diff --git a/libpurple/connection.c b/libpurple/connection.c
--- a/libpurple/connection.c
+++ b/libpurple/connection.c
@@ -907,7 +907,7 @@
 	 * This can be passed function that require a cancellable for the
 	 * connection.
 	 *
-	 * Since: 3.0.0
+	 * Since: 3.0
 	 */
 	properties[PROP_CANCELLABLE] = g_param_spec_object(
 		"cancellable", "cancellable",
diff --git a/libpurple/contact.h b/libpurple/contact.h
--- a/libpurple/contact.h
+++ b/libpurple/contact.h
@@ -75,7 +75,7 @@
  *
  * Returns: The #GType for the #PurpleMetaContact object.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 GType purple_meta_contact_get_type(void);
@@ -87,7 +87,7 @@
  *
  * Returns:       A new contact struct
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleMetaContact *purple_meta_contact_new(void);
@@ -100,7 +100,7 @@
  *
  * Returns: (transfer none): The group.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleGroup *purple_meta_contact_get_group(const PurpleMetaContact *contact);
@@ -113,7 +113,7 @@
  *
  * Returns: (transfer none): The highest priority buddy.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleBuddy *purple_meta_contact_get_priority_buddy(PurpleMetaContact *contact);
@@ -125,7 +125,7 @@
  *
  * Sets the alias for a contact.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_meta_contact_set_alias(PurpleMetaContact *contact, const char *alias);
@@ -138,7 +138,7 @@
  *
  * Returns:  The alias, or NULL if it is not set.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 const char *purple_meta_contact_get_alias(PurpleMetaContact *contact);
@@ -152,7 +152,7 @@
  *
  * Returns: TRUE if there are any buddies from account in the contact, or FALSE otherwise.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gboolean purple_meta_contact_on_account(PurpleMetaContact *contact, PurpleAccount *account);
@@ -164,7 +164,7 @@
  * Invalidates the priority buddy so that the next call to
  * purple_meta_contact_get_priority_buddy recomputes it.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_meta_contact_invalidate_priority_buddy(PurpleMetaContact *contact);
@@ -178,7 +178,7 @@
  *
  * All of the buddies from source will be moved to target
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 void purple_meta_contact_merge(PurpleMetaContact *source, PurpleBlistNode *node);
diff --git a/libpurple/conversations.h b/libpurple/conversations.h
--- a/libpurple/conversations.h
+++ b/libpurple/conversations.h
@@ -42,7 +42,7 @@
  *
  * Sets the default conversation UI operations structure.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_conversations_set_ui_ops(PurpleConversationUiOps *ops);
@@ -54,7 +54,7 @@
  *
  * Returns:  The UI conversation operations structure.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 PurpleConversationUiOps *purple_conversations_get_ui_ops(void);
@@ -66,7 +66,7 @@
  *
  * Returns: The conversation subsystem handle.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void *purple_conversations_get_handle(void);
@@ -76,7 +76,7 @@
  *
  * Initializes the conversation subsystem.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_conversations_init(void);
@@ -86,7 +86,7 @@
  *
  * Uninitializes the conversation subsystem.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_conversations_uninit(void);
diff --git a/libpurple/core.h b/libpurple/core.h
--- a/libpurple/core.h
+++ b/libpurple/core.h
@@ -46,7 +46,7 @@
  *
  * Returns: %TRUE if successful, otherwise %FALSE with @error potentially set.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 gboolean purple_core_init(PurpleUi *ui, GError **error);
@@ -57,7 +57,7 @@
  * Quits the core of purple, which, depending on the UI, may quit the
  * application using the purple core.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 void purple_core_quit(void);
@@ -69,7 +69,7 @@
  *
  * Returns: The version of the core library.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 const char *purple_core_get_version(void);
@@ -82,7 +82,7 @@
  *
  * Returns: (transfer none): A handle to the purple core.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 PurpleCore *purple_get_core(void);
@@ -99,7 +99,7 @@
  *
  * Returns: (transfer none): The [class@Gio.SettingsBackend] to use.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_3_0
 gpointer purple_core_get_settings_backend(void);
@@ -111,7 +111,7 @@
  *
  * Returns: (transfer none): The ui.
  *
- * Since: 2.0.0
+ * Since: 2.0
  */
 PURPLE_AVAILABLE_IN_ALL
 PurpleUi *purple_core_get_ui(void);
@@ -125,7 +125,7 @@
  *
  * Returns: The directory where translations should be searched for.
  *
- * Since: 3.0.0
+ * Since: 3.0
  */
 PURPLE_AVAILABLE_IN_ALL
 const char *purple_get_locale_dir(void);
